Date: Sun, 11 Jun 1995 20:47:33 +0600
From: acanterb@vt.edu (Allen Canterbury)
Subject: Anesthesia--Pulling Teeth BTAB (Metallica)

(Anesthesia) -- Pulling Teeth.      
By Cliff Burton

Transcribed from Metallica "Kill 'Em All" bass guitar series book published
by Cherry Lane Music Company distributed by Hal Leonard Publishing Corporation.

Notes:  Yeah, I'm sure you actually want to read some notes about this song.
Cliff Burton was a master on the bass guitar--he used numerous techniques
in this song, so I will try to explain them here.

Wah and distortion are used throughout the song.  The distortion is on all
of the time, but the wah is applied only at certain points.  The points are
marked with a + when the wah is closed (trebly sound) and a o when the wah
is open (normal bass sound).
A lot of bended notes are used.  My notation is, for example 17b(18)r(17).
This means, fret and strike the 17th fret, bend up to the pitch of the 18th
fret, then release back to the 17th fret.  If there is no 'r(17) then it means
to bend up to the 18th fret but don't release back to the original tone.
When Tapping technique is used, a "T" above the tapped note is used.  At the
end of the song, artifical harmonics are produced by tapping.  A fret is
pressed down, and another fret is tapped.  In notation form, the fretted note
is written and the tapped fret is in paren's, i.e., 12(19) means hold on 12th
fret and tap the 19th fret with a left hand finger.  This has to be done 
quickly and precisely to get the harmonic tone.  Practice it--sounds nice.
Cliff does some tremelo picking toward the end of the song also.  This is
denoted by slashes underneath the note that is being tremelo picked.  Tremelo
picking is done by very quickly picking the note--as fast as you can (as in
like 32nd notes).
Lastly, the very end of the song has some weird stuff going on.  Cliff drags
his right-hand nails along the E and A strings from the first fret up the
neck, then begins tapping the open D and G strings against the pick-ups
in a sixteenth note rhythm pattern.  This is how the song ends, and Whiplash
comes in.
    This is a masterpiece bass solo, in my opinion.  It's hard to learn, esp.
the triplets and different techniques he uses...but once you learn it, it 
sounds great!  Good luck.

R. Allen Canterbury
    
-------------------------------------    
Intro    
    FREE TIME
                  harm.    sl.   sl.
G:------------------------------------|
D:--0-------0--0---12--------/-19-\---|
A:------------------------------------|
E:------------------------------------|

  * w/ wah & dist.  +=closed  o=open


    TIME = 152
                                                    sl.
G:------10-14----10-14----10-14----10-14----10-14---------9--12----9--12----9|
D:*--12-------12-------12-------12-------12-------12-\-10-------10-------10--|
A:*--------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|


G:--12----9--12----9--12--|
D:-----10-------10-------*|
A:-----------------------*|
E:------------------------|


G:-----10-14----10-14----10-14----10-14----10-14----12-16----12-16----12-16--|
D:--12-------12-------12-------12-------12-------14-------14-------14--------|
A:---------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|


G:---12-16----12-16-------14-17----14-17----14-17----17----12-16----12-16----|
D:14-------14-------14-15-------15-------15-------15----14-------14-------14-|
A:---------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|

                                   Time=132
                                                                          +
G:16---------------------------------------14-------10--------------------12-|
D:---14-----------12--------12-12--12-----------12------12--14-----10-----10-|
A:---12-----------10---------------------------------------------------------|
E:---------------------------------------------------------------------------|


   o                                           +   o
G:--------------14-------10--------------------------------------14--------10|
D:------12-----------12------12--14-----10-----14-------12------------12-----|
A:---------------------------------------------12----------------------------|
E:---------------------------------------------------------------------------|

                       +   o                                            sl.
G:---------------------12------------------14--------10----------------------|
D:---12--14-----10-----10---------12------------12--------12--14------10-/---|
A:--------------------------------------------------------------------------0|
E:---------------------------------------------------------------------------|


G:-------------------------------------------14--15--------------------------|
D:-------------------13-12---------------15------------------------13-12-----|
A:---13---12---------------15-12-13------------------0--12---------------15--|
E:---------------------------------------------------------------------------|

                                                                           +
G:----------------14-15p14-----------------------------------------14--15----|
D:-----------15-------------15------------13-12---------------15-------------|
A:12-13--------------------------12--------------15-12-13------------------0-|
E:---------------------------------------------------------------------------|


  o
G:-------------------------------------14-15p14-----|
D:------------13-12---------------15-------------15-|
A:-12---------------15-12-13------------------------|
E:--------------------------------------------------|


G:---------16--------------14----14----------13-------------14----14------|
D:*-----16----16--------14----14----14----11----11-------12----12----12--*|
A:*--14-----------14-12----------------11----------11-12-----------------*|
E:------------------------------------------------------------------------|


G:-------16--------------17----17----------19-------------19----19----|
D:----16----16--------17----17----17----17----17-------19----19----19-|
A:-14----------14--15----------------17----------17-17----------------|
E:--------------------------------------------------------------------|


         sl. first time only
G:--------/12--------------12----------------11----12-------14-----12h14p12--|
D:*-----14----14--------14----14----14----12----12----12---------------------|
A:*--15----------15--14----------14----12----------------12------------------|
E:---------------------------------------------------------------------------|

                               1.
                              |~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
G:---12------------------------------12----------17--19--17h19p17-16--17--16h|
D:16----16-14--12-----------------14----14----0------------------------------|
A:----------------15-14-12-14--15----------15--------------------------------|
E:---------------------------------------------------------------------------|


  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
G:17p16------16-------------------------------------------16---------|
D:-------17------17------17--17-----17-17-17-19--19-19-19-----------*|
A:-------------------17-------------____3___-----____3___-------0---*|
E:-------------------------------------------------------------------|
                                    triplet.     triplet.

   2.
  |~~~~~~~~~~~~~~~      full bend.
G:--------12------------19b(21)r19--17h19p17-16---17---16h17p16------16------|
D:-----14----14-----0-------------------------------------------19-------17--|
A:--15----------15-----------------------------------------------------------|
E:---------------------------------------------------------------------------|

                                        sl.
G:------------------------------------16\------|
D:----17--17----17-17-17-19--19-19-19----------|
A:17------------____3___-----____3___-------0--|
E:---------------------------------------------|
                triplet.     triplet.


                    +               sl. o
G:---------------------------------------------------------------------------|
D:*--------10-------------14----14------------14----14-----------------------|
A:*-----10----10-------14----14----14/--0--12----12----12--12--12-12-12-10---|
E:---8-----------8--12-----------------------------------------____3___------|
                    *wah second time only                      triplet.      
                                                            (triplets on   
                                                             second time only)

                     + o                         sl.    sl. + o
G:-------------------------10----10-------------7-/-9---9-/-12--------12-----|
D:----------------------10----10----10------7----------------------12----12--|
A:10-10-10-7---7-7-7--8-----------------5-----------------------10-----------|
E:____3___-----__3__---------------------------------------------------------|
  triplet.   triplet.                                   *wah first time only
                                                                  

          1.                       2.
         |~~~~~~~~~~~~~~~~~~~~~   |~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
G:12----------------------------|-----------------------------------|
D:---12------------------------*|-----------------------------------|
A:-----------------------------*|------------------------------0----|
E:--------3------5------7-------|----3-----5-----7-b(8)r---5--------|
                                                1/2 bend.

    TIME = 200

G:---------------------------------------------------------------------------|
D:*--7--7-----9--9-----10-10----9--9-----7--7-----6--6-----7---------7--7----|
A:*--------0--------0--------0--------0--------0--------0--------0---------0-|
E:---------------------------------------------------------------------------|

                               1.
                              |~~~~~~~~~~~~~~~~~~~~~~~~~
G:-----------------------------------------------sl.-------|
D:-9--9-----10-10----9--9-----10-10----14-14----13-\------*|
A:-------0--------0--------0--------0--------0---------0--*|
E:---------------------------------------------------------|

    2.
   |~~~~~~~~~~~~~~~~~                                         sl.
G:---------------------------------------------------------------------------|
D:---10-10----14-14----13-----14---13-----14---13-----14---13--/19---19---19-|
A:---------0--------0------0-----------0-----------0------------------0----0-|
E:---------------------------------------------------------------------------|


                       +
G:--18--------19--------18-----18-----18--------18--------19--------18-------|
D:--19---19---19---19---19-----19-----19---19---19---19---19---19---19---19--|
A:---0---------0---------0------0------0---------0---------0---------0-------|
E:---------------------------------------------------------------------------|


                                                    o             sl.+ sl. o
G:-19-----18--------19--------18--------19--------18-------------------------|
D:-19-----19---19---19---19---19---19---19---19---19-------------------------|
A:--0------0---------0---------0---------0---------0----(0)------------------|
E:------------------------------------------------------------------/-X-\----|


   (drums enter)
G:---------------------------------------------------------------------------|
D:-----------------------------------------------------------------------5---|
A:-----------2---0--------------------5------------5---7-------5---5--7-----7|
E:0------3-----------3---3---5-/-7-------------7-----------0-----------------|



G:---------------------------------------7b(9)r(7)---------------------------|
D:--5--7b(8)r(7)b(8)r(7)--5-----------5--------------5-------5--7b(9)r(7)--5-|
A:---------------------------------X---------------------7-------------------|
E:----------------------------0--------------------------------full-bend.----|
     3 1/2 step bends.                  full bend.

                                                                          sl.
G:-------------------------14b(16)---14-14-14b(16)---14-14-14b(16)---14--14\-|
D:-------5-------------------------------------------------------------------|
A:--7------------------------------------------------------------------------|
E:------------0--------------------------------------------------------------|
                          full bend.      full bend.      full bend.

                                                           Tap and pull-off
                                                          |~~~~~~~~~~~~~~~~~~
                                                          T      T      T
G:---------------12-----11---12-----11---12-12-12-11-------------------------|
D:-------------------0-----------0--------------------0---17p14--19p14--19p14|
A:---------------------------------------------------------------------------|
E:---0-----0-----------------------------------------------------------------|


  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~|
    T      T      T      T      T      T            + o        + o        + o
G:-------------------------------------------16-----12--16-----12--16-----12-|
D:--21p14--19p14--17p14--19p14--21p14--17------------------------------------|
A:---------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|

          + o                                                         +
G:-16-----12--16-----16----16p12----12-16p12----12-16p12-12-12-12-12--14--(14|
D:-------------------------------14----------14------------------------------|
A:---------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|

                                   o sl.
G:)b(16)r(14)--12------12b(13)r(12)------------------------------------------|
D:-----------------14----------------14\--------------21-----17-17----20b(21)|
A:-----------------------------------------------------------------19--------|
E:------------------------------------------0-----0--------------------------|

        +
G:----------------------------------------------19-----------19-----------19-|
D:--20--20b(21)--20--19--17-------19b(21)r(19)------19b(20)------19b(20)-----|
A:---------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|

                                                           sl. o
G:----------19----------19---19---19---19b(21)r(19)--------------------------|
D:-19b(20)------19b(20)-----------------------------------17\----------------|
A:---------------------------------------------------------------------------|
E:----------------------------------------------------------------0----0--0--|

                    +  o       +  o
G:---------------------------------------------------------------------------|
D:------------------------------------------------2---0----------------------|
A:--------------------------------------------------------3---2---1---0------|
E:----0-0--0--0--0--0-----0----0-----0---0--0-----------------------------3--|

                                         sl.
G:--------------------------------------------------15-14-12-14p12----12-----|
D:--------------------5---------5--------5/---0--------------------14--------|
A:--------------5--7-----5---7-----5--7--------------------------------------|
E:------0---0----------------------------------------------------------------|


G:15-14-12-14p12----12---15-14-12-14p12----12--------------------------------|
D:--------------14----------------------14----14-12-14p12----12--------------|
A:--------------------------------------------------------14-------14--12-13-|
E:---------------------------------------------------------------------------|

                             sl.
G:---------------------------------------------------------------------------|
D:---12-14p12---12------12--12\---------------------------------------------2|
A:14----------------14------------------------------------------------2------|
E:--------------------------------0--0--0--0--0--0--0--0-----0--0--0-----0---|



G:-------------------------------------------12------11--------------11--12--|
D:-------------------------------------14-14-11--11------11--14--11----------|
A:--------------------------------------------0------------------------------|
E:--0-----0--0----0--0--0--0---0---0-----------------------------------------|


                  harm.
G:----14--14--12-------------------------------------------------------------|
D:11--------------------------------------6---6-6-6--10---7-7-7-7---8----11--|
A:------------------9----7--0--9---10--0------------------------/---/--------|
E:--------------------------------------------------------------/---/--------|
                                                                /   /

               +
G:---------------------------------------------------------------------------|
D:9--9---12--10--10---------11-11-14-14-11-11-14-12---15-12-14-16-14-16-15-17|
A:---/------------/----------------------------------------------------------|
E:---/------------/----------------------------------------------------------|
     /            /


G:-------------------|
D:-17-16-17-19-17-19-|
A:-------------------|
E:-------------------|


                       hold.
G:--16-15-16-17-19-19/~~~~~~~~~~\--19-19-19-19-19-16----16---19-16-19p16-----|
D:------------0--------------------------------------17------------------17--|
A:---------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|
                      full bend.


G:16h19p16----16h19p16----16h19p16-----16h19--19b(21)r(19)-16----16----------|
D:---------17----------17----------17-------------------------17----17----17-|
A:---------------------------------------------------------------------19----|
E:---------------------------------------------------------------------------|

                     sl. o                              +  o        +  o
G:---------------------------------------------------------------------------|
D:------- -17-19------19\----------------------------------------------------|
A:19-17-19-------------------------------------------------------------------|
E:--------------------------0-----0--0-----0--0--0--0----0-----0-----0------0|



G:---------------------------------------------------------------------------|
D:---------------------------------------------------------------------------|
A:-----------5/7--\5/7--\5----2-------------------0--------0--0--0--4h5--0---|
E:--0--0--0-----------------------0---0--0--0--0-----3--0--------------------|

                                                                    Harm.
                                                      + o          |~~~~~~~~~
G:---------------------------------------------------------------------------|
D:-----------------------------------------------------------------5-----5--5|
A:4h5--0--4h5--0--4h5--0----4h5--0--0--0--0--0--0--0--0----------------------|
E:-------------------------------------------------------0----0--------------|


  ~~~~~~~~~~~~~~~~~~~~~       T         T        T        T         T      T
G:------------------------12(19)----10(17)----9(16)----9(16)-----------------|
D:-----5--------------5-----------------------------------------10(17)--9(16)|
A:---------------------------------------------------------------------------|
E:---------4----4--4---------------------------------------------------------|

  
        T      T       T      T       T      T       T          T       T
G:----------9(16)------------------------------------------------------------|
D:--10(17)---------10(17)--9(16)-----------------------------9(16)--10(17)---|
A:--------------------------------10(17)--9(16)--10(17)----------------------|
E:---------------------------------------------------------------------------|


  harm.
   T        T        T     +   T  o
G:---------------------------------------------------------------------------|
D:------10(17)----9(16)------------------------------------------------------|
A:19-----------------------12(19)\-----------------------------14-----14-----|
E:------------------------------------0----0----0----0----0-----0------0-----|
                                sl.


  FREE TIME
  +                                  o  sl.
G:--------------------------------------X\-----------------------------------|
D:16------------------------------------X\-----------------------------------|
A:14--------------------------------------------X-/--------------------------|
E:-0--------------------------------------------X-/--------------------------|
                                                drag R.H. nails along E
                                                and A strings start at 1st 
                                                fret

       **                                                          *
G:-----X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X/--X--X--|
D:-----X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X--X/--X--X--|
A:---------------------------------------------------------------------------|
E:---------------------------------------------------------------------------|
       ** Tap open D and G strings against pickups in rhythm     *nail     
                                                                  scrape


G:X--X--X--X--X--X--X--X--X--X--X--X--X--X--X|
D:X--X--X--X--X--X--X--X--X--X--X--X--X--X--X|
A:-------------------------------------------|
E:-------------------------------------------|
                           Segue: "Whiplash"

+----------------------------------------+---------------------------------+ 
|  ____    ____                          |         acanterb@vt.edu         |
| (    `--'  .-'               _T_T_T_T_ |  ___                 __         |
| |8| O  O  |||||||||||||||||||[o o o o/ | /   \  |   | |\  /| |  | \   /  |
| (__,--.____\                 `~~~`--'  | |  ___ |   | | \/ | |--+. \ /   |
|                                        | \____| |___| |    | |___|  |    |
|    Bassist for Division by Zero        |                                 |
|                                                                          |
|   Check out the Web Page! http://sfbox.vt.edu:10021/R/rconnell/band.html |
|                                                                          |
+----------------------------------------+---------------------------------+


