#include <stdio.h>
#include <io.h>

#define LINE_WIDTH 80


int read_bin_ansi(char *filename); // Laskee rivien mrn

int main(int argc,char *argv[])
{
    FILE *fp1,*fp2;
    char lines;
    int update=0;
    char temp;
    char line_temp[160];
    
    if (argc!=3)
    {
        printf("Usage: makeansi [source] [dest]\nNote! You can also add to previous file\n");
        return 1;
    }

    if ((lines=read_bin_ansi(argv[1]))==0)
    {
        printf("Error in file %s\n",argv[1]);
        return 1;
    }

    if (access(argv[2],0)==0)  // Jos tiedosto on jo olemassa
    {
        if ((fp2=fopen(argv[2],"rb+"))==NULL)
        {
            printf("Error in file %s\n",argv[2]);
            return 1;
        }
        fseek(fp2,0,SEEK_END);
        update=1;
    }
    else
    {
        if ((fp2=fopen(argv[2],"wb+"))==NULL)
        {
            printf("Error in file %s\n",argv[2]);
            return 1;
        }
        update=0;
    }

    if ((fp1=fopen(argv[1],"rb"))==NULL)
    {
        printf("Error in file %s\n",argv[1]);
        return 1;
    }

    printf("Writing...");
    
    if (update==0)  // Uusi tiedosto
    {
        temp=1;  // Yksi tiedosto
        fwrite(&temp,1,1,fp2);
    }

    fwrite(&lines,1,1,fp2);  // Kuvan korkeus

    while (lines--)
    {
        fread(line_temp,160,1,fp1);
        fwrite(line_temp,160,1,fp2);
    }

    if (update) // Jos tiedosto oli olemassa
    {
        fseek(fp2,0,SEEK_SET); // Tiedoston alkuun
        fread(&temp,1,1,fp2);
        temp++; // Yksi uusi tiedosto
        fseek(fp2,0,SEEK_SET);
        fwrite(&temp,1,1,fp2);
    }

    fclose(fp1);
    fclose(fp2);

    printf("\nReady!\n");

    return 0;
}


int read_bin_ansi(char *filename)
{
    FILE *fp;
    int line_count=0;
    char line_temp[160];

    if ((fp=fopen(filename,"rb"))==NULL)
        return 0;
    while (fread(line_temp,160,1,fp))
        line_count++;
    fclose(fp);
    return line_count;
}

