/* Warp To Merlin Script */
'@echo off'
PrevDir = Directory();
DLLOpen = LinkFiles();
if DLLOpen = 0 then do
    DLLParam = '1854561'
end
else do
    DLLParam = ''
end

do i = 1 to 8
    rc = Process(File(i), DLLParam);
    if (rc <> 'ERROR') then do
        say '******************  File 'rc'.DLL has been Processed and replaced!'
    end
    else do
        say 'x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x-x'
        say
        say 'An error occurred during the processing...please refer to the docs'
        say 'or contact the author.'
        say
        return
    end
end
say 'Transformations Done!!'
say ''
say 'A Backup of all modified files has been made in the subdirectory "Backup DLL",'
say 'You must shutdown and reboot in order to update the changes made'
rc = DoCleanUp(DLLOpen, PrevDir);
'pause'
exit

File: procedure
    arg N
    select
        when N = 1 then FileName = 'PMVIOP'
        when N = 2 then FileName = 'PMWP'
        when N = 3 then FileName = 'PMMERGE'
        when N = 4 then FileName = 'PMCTLS'
        when N = 5 then FileName = 'IBMDEV32'
        when N = 6 then FileName = 'WPCONFIG'
        when N = 7 then FileName = 'WPPRTMRI'
        when N = 8 then FileName = 'DSPRES'
    END
return FileName

LinkFiles: procedure
    DLLOpen = 0;
    Add = RxFuncAdd('SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs');
    if Add = 0 then do
        rc = SysLoadFuncs();
    end
    else do
        DLLOpen = DLLOpen + 1;
    end
    Add = RxFuncAdd('FileLoadFuncs', 'FILEREXX', 'FileLoadFuncs');
    if Add = 0 then do
        rc = FileLoadFuncs();
    end
    else do
        DLLOpen = DLLOpen + 2;
    end
return DLLOpen

DoCleanup: procedure
    arg DLLOpen PrevDir
        select
            when DLLOpen = 0 then do
                    rc = FileDropFuncs();
                    rc = SysDropFuncs();
                end
            when DLLOpen = 1 then do
                    rc = FileDropFuncs();
                end
            when DLLOpen = 2 then do
                    rc = SysDropFuncs();
                end
            otherwise do
                    rc = 0;
                end
        end
        rc = Directory(PrevDir);
return ''
