#include <stdio.h>
#include <ctype.h>
#include <string.h>

#undef COMPRESSED_SPACES

main ()
{
  enum { TYP_SPC_IGNORE,
#ifdef COMPRESSED_SPACES
         TYP_SPC_ONE,
#endif
         TYP_SPC_ALL, TYP_SPC_MAX } typ_spc;
  enum { TYP_CAS_UPPER, TYP_CAS_ASIS, TYP_CAS_LOWER, TYP_CAS_ZERO,
         TYP_CAS_MAX } typ_cas;
  enum { TYP_NUM_DECIMAL, TYP_NUM_ASCII, TYP_NUM_MAX } typ_num;
  int origch;
  static long numerot[TYP_SPC_MAX][TYP_CAS_MAX][TYP_NUM_MAX];
  char * const msg_spc[TYP_SPC_MAX] = { "Spaces ignored", 
#ifdef COMPRESSED_SPACES  
                                        "Spaces compressed", 
#endif                                        
                                        "Spaces included" };
  char * const msg_cas[TYP_CAS_MAX] = { "Upper case", "Case preserved",
                                        "Lower case", "Special table" };
  char * const msg_num[TYP_NUM_MAX] = { "Numbers evaluated",
                                        "Digit by digit" };
  char const specialtable[] = "0123456789"
                              "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
                              "abcdefghijklmnopqrstuvwxyz";
  long num_so_far=0;
#ifdef COMPRESSED_SPACES
  int was_space=0;
#endif
  printf("peto copyright dominus & headless\n"
         "please enter the suspect's name: ");
  while ((origch = getchar ()) != '\n' && origch != EOF)
  {
    if (isdigit(origch))
      num_so_far = num_so_far*10 + origch-'0';
    for (typ_spc=0; typ_spc<TYP_SPC_MAX; typ_spc++)
      for (typ_cas=0; typ_cas<TYP_CAS_MAX; typ_cas++)
        for (typ_num=0; typ_num<TYP_NUM_MAX; typ_num++)
        {
          int ch = origch;
          long *p = &numerot[typ_spc][typ_cas][typ_num];
          if (typ_num == TYP_NUM_DECIMAL)
            if (isdigit(ch))
              continue;
            else
              *p += num_so_far;
          if (isspace(ch) && (typ_spc == TYP_SPC_IGNORE
#ifdef COMPRESSED_SPACES
                              || typ_spc == TYP_SPC_ONE && was_space
#endif
                             )
             )
              continue;
          if (typ_cas == TYP_CAS_UPPER)
            ch = toupper(ch);
          else if (typ_cas == TYP_CAS_LOWER)
            ch = tolower(ch);
          else if (typ_cas == TYP_CAS_ZERO)
          {
            char const *cp = strchr(specialtable, ch);
            if (cp)
              ch = cp - specialtable;
          }
          *p += ch;
        }
    if (!isdigit(origch))
      num_so_far = 0;
#ifdef COMPRESSED_SPACES
    was_space = isspace(origch);
#endif
  }
  for (typ_spc=0; typ_spc<TYP_SPC_MAX; typ_spc++)
    for (typ_cas=0; typ_cas<TYP_CAS_MAX; typ_cas++)
      numerot[typ_spc][typ_cas][TYP_NUM_DECIMAL] += num_so_far;
  printf("\n");
  {
    int flag = 0;
    for (typ_spc=0; typ_spc<TYP_SPC_MAX; typ_spc++)
      for (typ_cas=0; typ_cas<TYP_CAS_MAX; typ_cas++)
        for (typ_num=0; typ_num<TYP_NUM_MAX; typ_num++)
        {
          long n = numerot[typ_spc][typ_cas][typ_num];
          printf("%s, %s, %s: %ld", msg_spc[typ_spc], msg_cas[typ_cas],
                 msg_num[typ_num], n);
          if (n&&!(n%666))
          {
            flag = 1;
            printf("\t*BEAST*\a");
          }
          printf("\n");
        }
    if (flag)
      printf("\nThis person is a SATANIC BEAST and should be treated as such.\n");
  }
}
