; TextMode Rasters!  (c)1997 Zephyr/Plasm/DNS - micali@concentric.net
;
; Well... here is some raster code for your enjoyment.  Feel free to rip
; this for anything you may need it for (ie, bbs ad, etc)  If you do rip
; it, please credit me.  This code *sucks* bad... it is slow.  I ran it
; on a 386/16 and since it was so slow, it missed every other vertical
; retrace and flickered like CRAZY.  So... i cannot gaurantee that it will
; look nice on anything less than my 486/120 (b/c i haven't tested it on
; anything else.)  It should work on pretty much all 486s... and fast 386s
; too.  Well.. it could be improved alot but the technique I used is pretty
; versitile and can be modified for LOTS of other effects.  If you have any
; comments/ideas/questions/flames i'd love to hear from you at the Email
; address above.  Have fun!  =]  (this code is a mess... sorry :)

; Compile like this:    tasm raster.asm
;                       tlink /t raster

.MODEL TINY

;==EQUATES==
        ScanLines equ 25 * 16      ; # of scanlines on screen
        BarSpacing equ 28          ; # of sintab values between coppers
        RasterColor equ 0          ; Color index to write coppers to
                                   ; Change it to 7 for funky FX :)
UDATASEG                           
;==UNDEFINED DATA==
        oldrgb db 3 dup(?)               ; Place to store old RasterColor rgb
        rastertab db ScanLines*3 dup(?)  ; Raster temp tables
DATASEG
;==DEFINED DATA==
        redcounter dw offset sintab + (2*(BarSpacing*2))   ; Red bar pointer
        greencounter dw offset sintab + (1*(BarSpacing*2)) ; Green bar pointer
        bluecounter dw offset sintab + (0*(BarSpacing*2))  ; Blue bar pointer
        include sintab.inc                                 ; Sinus tables
        msg db 'some rasterz! - 100% asm by Zephyr =]$'     ; Message :)


CODESEG             ;codeseg... yada yada yada...
ORG 100h            ;yeah yeah, org at 100h...
LOCALS              ;locals - you know, @s and stuff?

;==MAIN==

        .startup    ;Entry point&*#!


        ;==Clear Rastertables==
        mov di,offset rastertab   ;Point di to the raster table
        mov cx,ScanLines * 3      ;# scanlines * 3 bytes for RGB
        xor ax,ax                 ;Fill with 0s
        rep stosb                 ;Wipe the rastertable clean

        ;==Print Message==
        mov dx,offset msg         ;Point ds:dx to the msg
        mov ah,9                  ;Dos function 9 (print string)
        int 21h                   ;Call dos services

        ;==Store Old Color==
        mov dx,3c7h               ;Port 3c7h - PEL read index selector
        mov al,RasterColor        ;We want the rastercolor index..
        out dx,al                 ;Send the request
        add dx,2                  ;Inc dx to port 3c9h - PEL read port
        mov di,offset oldrgb      ;Point di to oldrgb
        in al,dx                  ;Get R value
        mov [di],al               ;And store it...
        in al,dx                  ;Get G value
        mov [di+1],al             ;Store it
        in al,dx                  ;Get B value
        mov [di+2],al             ;And store it too

        ;==Flush Keyboard==
        call flush                ;Flush the keyboard

        ;==Kill Cursor==
        mov ah,1                  ;Function #1 - change cursor
        mov cx,100h               ;We want no cursor
        int 10h                   ;Call video bios services


        ;==Main Loop==
        @ml:                      ;The main loop!
        mov si,offset redcounter  ;Use the red copper pointer
        xor bx,bx                 ;Update the red copper
        call sinus_bob            ;Update it..
        mov si,offset greencounter;Use the green copper pointer
        inc bx                    ;Update the green copper
        call sinus_bob            ;Update it..
        mov si,offset bluecounter ;Use the blue copper pointer
        inc bx                    ;Update the blue copper
        call sinus_bob            ;Update it..
        cli                       ;Clear interrupts (to disable PAUSE key)
        call do_raster            ;Display the coppers
        sti                       ;Re-enable interrupts
        in al,60h                 ;Get keyboard input
        cmp al,39h                ;Was it the space bar?
        jne @ml                   ;If not, go back to @ml

        ;==Flush Keyboard==
        call flush                ;Make sure there are no keys waiting

        ;==Restore Cursor==
        mov ah,1                  ;Lets see that cursor again...
        mov cx,607h               ;Like it used to be...
        int 10h                   ;Go video bios services!

        ;==Restore Raster Color==
        mov dx,3c8h               ;Set the color we want to write to
        mov al,RasterColor        ;That would be RasterColor..
        out dx,al                 ;Tell the vga
        inc dx                    ;Change ports to PEL write port
        mov di,offset oldrgb      ;Point di to the old colors
        mov al,[di]               ;Get the red component
        out dx,al                 ;Send it to the VGA
        mov al,[di+1]             ;Get the green component
        out dx,al                 ;Send it out to the VGA
        mov al,[di+2]             ;And finally get the blue component
        out dx,al                 ;Send it to the VGA

        ;==Return To DOS==
        ret                       ;Ret back to DOS


;==MACROS==

        ;      in: nothing
        ;     out: nothing
        ;destroys: al,dx
        ;    what: waits for the vertical retrace
        @vrt macro
                local @v1,@v2     ;We want local labels       
                mov dx,3dah       ;Lets use port 3DAh
           @v1: in al,dx          ;And lets get a byte
                test al,8         ;Is bit on?
           @v2: jz @v1            ;If so, goto @v1
                in al,dx          ;Get byte again
                test al,8         ;Is bit on?
                jnz @v2           ;If not, goto @v2
        endm


;==PROCS==
        ;      in: nothing
        ;     out: nothing
        ;destroys: ax,di,es,bios keyboard buffer =]
        ;    what: clears the dos/bios keyboard buffer
        flush:
                mov ax,40h        ;Seg 40h (bios data)
                mov es,ax         ;Load that into ES
                mov di,80h        ;Offset 80h (pointer to start of kbd buff)
                mov ax,es:[di]    ;Get that pointer
                mov di,1ah        ;Offset 1Ah (pointer to head of kbd buff)
                mov es:[di],ax    ;Set head to start of mem area
                mov di,1ch        ;Offset 1Ch (pointer to tail of kbd buff)
                mov es:[di],ax    ;Set tail to start of mem area
                ret               ;Return to caller

        ;      in: si - pointer to counter
        ;          bx - si param for move_rasterbar (0=r,1=g,2=b)
        ;     out: nothing
        ;destroys: al,cx,di,si
        ;    what: move a copper along sinus path and the write it to the
        ;          raster table with move_rasterbar
        sinus_bob:
                mov di,[si]       ;Load the pointer to counter into DI
                add di,2          ;Move to next sinus value
                cmp di,offset sintab + (256*2)  ;Bigger than sinus table?
                jl @rl            ;If within range, goto @rl
                mov di,offset sintab ;Reset the sinus counter
        @rl:    mov [si],di       ;Save the new pointer
                mov cx,[di]       ;Get the sinus value and put in CX
                mov si,bx         ;Move BX to SI for call to do_rasterbar
                call move_rasterbar ;And call the func..
                ret               ;Return to caller


        ;      in: nothing
        ;     out: nothing
        ;destroys: al,cx,dx,di
        ;    what: displays the raster table onto the screen
        do_raster:
                xor si,si         ;Zero out SI
                @vrt              ;Wait for vertical retrace
                mov cx,ScanLines  ;We want to do the whole screen
        @lp:    mov dx,3C8h       ;Lets use port 3c8h - PEL index selector
                mov al,RasterColor;We want to write to color RasterColor
                out dx,al         ;Send it
                mov dx,3DAh       ;Wait for horizontal retrace
        @hz1:   in      al,dx     ;  "
                test    al,1      ;  "
                jnz     @hz1      ;  "
                mov dx,3C9h       ;Lets write to the RasterColor color =]
                mov al,[rastertab+si] ;Get R value
                out dx,al         ;Send it
                inc si            ;Increment pointer
                mov al,[rastertab+si] ;Get G value
                out dx,al         ;Send it
                mov dx,3DAh       ;Wait for end of horizontal retrace
        @hz2:   in      al,dx     ;  "
                test    al,1      ;  "
                jz      @hz2      ;  "
                mov dx,3C9h       ;Reset DX to be PEL write port
                inc si            ;Increment pointer
                mov al,ds:[rastertab+si] ;Get B value
                out dx,al         ;Send B value
                inc si            ;Increment pointer
                dec cx            ;Dec scanline counter
                jnz @lp           ;Have we reached the last line? No? Goto @lp
                ret               ;Return to caller

        
        ;      in: si - 0 for r, 1 for g, 2 for b
        ;          cx - start scan line ( >=0 and <=ScanLines-128
        ;     out: nothing 
        ;destroys: al,cx,si
        ;    what: updates the rastertable for a certain copper
        move_rasterbar:
                push cx           ;Lets save CX
                xor al,al         ;And zero out al
                cmp cx,0          ;Is CX 0?
                je @bl1           ;Yes it is!  So lets skip up to @bl1
        @ct:    mov byte ptr [rastertab+si],0  ;Shit it wasn't 0...
                add si,3          ;Better clear out the raster table up
                dec cx            ;to the start of the copper...
                jnz @ct           ;Slow? yes Inefficent? yes Stupid? yes
        @bl1:   mov byte ptr [rastertab+si],al  ;ok!  Lets make the fade
                add si,3          ;in part of the copper gradient
                inc al            ;63 increments of the color
                cmp al,63         ;Check to see if we maxed out
                jb @bl1           ;If below, go back to @bl1
        @bl2:   mov byte ptr [rastertab+si],al  ;Now lets make the fade
                add si,3          ;out part of the copper gradient
                dec al            ;Same as before, just doing it in reverse
                jnz @bl2          ;and we get to use a jnz :)
                mov byte ptr [rastertab+si],al  ;Write the last byte
                add si,3          ;Up SI by 3
                pop ax            ;Remember that pushed CX?  Well....
                mov cx,ScanLines-128  
                sub cx,ax         ;Bounds check the bottom... 
                cmp cx,0          ;More to go?
                je @fp            ;If not, lets get outta here
        @cl2:   mov byte ptr [rastertab+si],0  ;DAmNiT! MORE@#(! So... we
                add si,3          ;better zero out all of THOSE values...
                dec cx            ;The more i look at this routine the more
                jnz @cl2          ;I realize that it is the slowest, LAMEST
                                  ;routine I have EVER seen!!
        @fp:    ret               ;Oh yeah... return to caller

end                               ;Yippee!  We're finished!
