// 
//                                                                   
// 21/04/96         Example of smooth text scrolling                 
//                             Cygnus                                
//                                                                   
// Watcom c/asm     Copyright(c) Delusions NZ 1996                   
//                                                                   
// 

/*
   This is some code I put together to demonstrate smooth scrolling in text
   mode. The pos_scr routine could be used in gfx mode with some minor
   alterations. Just get rid of the code relating to the preset row scan
   register and the code that divides the y value by 16 at various times.

   If you have any queries just ask :)

   - Cygnus (cygnus@ihug.co.nz)

   DISCLAIMER

   The usual applies...

   DELUSIONS NZ CANNOT BE HELD RESPONSIBLE IN ANY WAY FOR ANY HARM
   THAT MAY BE CAUSED THROUGH THE USE OF THIS CODE.
*/

#include <string.h>
#include <conio.h>
#include <stdio.h>
#include <stdlib.h>
#include <malloc.h>
#include <math.h>
#include "kb.h"

void set_mode(int);
#pragma aux set_mode \
	parm [eax];
	
void pos_scr(int, int);
#pragma aux pos_scr \
	parm [eax] [ebx];
			
int		x, y;
int		posx, posy;
char		key;
unsigned char	*txt;
unsigned char	*video;

extern unsigned int keypressed;
extern unsigned char KeyTbl[128]; // one pos for each key.

void main(void)
{
    	FILE *f;
	
	set_mode(0x03);
	pos_scr(0,0);

// ------------------  Load Delusions NZ Keyboard int handler  --------------

	SetKBHandler();
	
// --------------------------------------------------------------------------
/*
	Just created some shit to dump to the screen to demonstrate the
	smooth scrolling code. Don't use this as it shitty.
*/
// --------------------------------------------------------------------------
	
	txt = (unsigned char *)malloc(32000);

	memset(txt,0,32000);

	/* load in the text file that we wish to read */

	if ((f = fopen("test.txt","r")) == NULL)	// open text file for reading
		printf("Failed to open file\n");
	fread(txt,32000,1,f);
	fclose(f);

	for(y=0;y<=24;y++)
	{
		for (x=2;x<=158;x+=2)
		// skip all the attribute bytes
		{
		    	if ((*txt != 0x0A))
			{
				video = (unsigned char *)(0xb8000+(x+(y*160)));
				*(video) = *(txt++);
			}
			else
			{
				x = 0;
				y++;
				txt++;
			}
		}
	}
	
// ------------------------- Pan screen stuff -------------------------------
/*
	ok, this is the part that really matters. You need to have a speedy
	keyboard interupt handler installed or get rid of the key press
	delay and buffer associated with standard kb int handler.

	Also I have thrown in left and right - well you may want to use them
	for something...mind you I'd increase the virtual screen size first. 
*/
// -------------------------------------------------------------------------	
	posx = 0;
	posy = 0;
do
{
    if (keypressed)
	{
	    if (KeyTbl[72])
	    // up
	    {
	    		if (posy >0)
			posy-= 8;
	    		pos_scr(posx,posy);
	    }
	    else
	    if (KeyTbl[80])
	    // down
	    {
			posy+= 8;	    		
	    		pos_scr(posx,posy);
	    }
	    else
	    if (KeyTbl[75])
	    // left
	    {
			posx-= 2;
	    		pos_scr(posx,posy);
	    }
	    else
	    if (KeyTbl[77])
	    // right
	    {
			posx+= 2;	    		
	    		pos_scr(posx,posy);
	    }
	}	
}while (!KeyTbl[0x1c]);
		
	free(txt);
	set_mode(0x03);
	ResetKBHandler();
}
