// HUOM! Memory model pit olla large

#include <stdio.h>
#include <stdlib.h>


char *load_ansi(char *filename,char num); // Ensimminen tiedoston ansi -> num=0
void show_ansi(char *ansi);
void clear_screen(void);

char *text_screen=(char*)0xb8000000;


int main(void)
{
    char *temp;
    
    if ((temp=load_ansi("koe.ans",1))==NULL) // Ladataan toinen tiedoston ansi
    {
        printf("Ei onnistunut...\n");
        return 1;
    }
    clear_screen();
    show_ansi(temp);
    free(temp); // Vapautetaan muisti

    return 0;
}


char *load_ansi(char *filename,char num)
{
    FILE *fp;
    char temp;
    int m;
    char *ansi;

    if ((fp=fopen(filename,"rb"))==NULL)
        return NULL;
    fread(&temp,1,1,fp);
    if (num>=temp) // Ei ole niin montaa tiedostoa
        return NULL;
    while (num--)
    {
        fread(&temp,1,1,fp); // Luetaan rivien mr
        m=(int)temp*160;
        fseek(fp,m,SEEK_CUR);
    }
    fread(&temp,1,1,fp);
    m=(int)temp*160;
    if ((ansi=(char*)malloc(m+1))==NULL) // Varataan muistia ansille
        return NULL;
    ansi[0]=temp; // Tallennetaan ensimmiseen alkioon ansin korkeus
    fread(&ansi[1],160,temp,fp); // Luetaan ansi
    fclose(fp);
    return ansi;
}


void show_ansi(char *ansi)
{
    int s;

    for (s=0;s<(int)ansi[0]*160;s++)
        text_screen[s]=ansi[s+1]; // Hyptn ensimmisen alkion yli
}


void clear_screen(void)
{
    int s,p;

    for (s=0,p=0;s<25*80;s++)
    {
        text_screen[p++]=0; // Merkki
        text_screen[p++]=7; // Attribuutti
    }
}

