/* Warp To Merlin Installation Script */

parse upper arg BootDrive

if (BootDrive = '') | (LENGTH(BootDrive) <> 1) then do
    Say 'Syntax is INSTALL [BootDrive]'
    Say
    Say 'Where [BootDrive] is the drive letter WITHOUT COLON of your OS/2 boot drive'
    exit
end
else do
    prev = Directory();
    if Directory(BootDrive':\') = '' then do
        say 'ERROR!! Drive letter is not valid: 'BootDrive;
    end
    else do
        prev = Directory(prev);
        Add = RxFuncAdd('SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs');
        if Add = 0 then do
            rc = SysLoadFuncs();
        end
        Say 'Setting Home INI entry...'
        rc = SysIni('USER', 'NewWarp', 'Home', Directory());
        Say 'Setting BootDrive INI entry...'
        rc = SysIni('USER', 'NewWarp', 'Boot', BootDrive);
        rc = SysCopyObject('FILEREXX.DLL', BootDrive':\OS2\DLL');
        rc = SysCreateObject("WPProgram", "NewWarp" ,"<WP_DESKTOP>", "OBJECTID=<NEWWARP_ICON>;EXENAME="Directory()"\NewWarp.cmd");
        if Add = 0 then do
            rc = SysDropFuncs();
        end
        Say 'NewWarp Icon Created...'
    end
end

